We will be migrating from Ask to Discourse on the first week of August, read the details here

Ask Your Question
0

Report builder will not start [closed]

asked 2021-05-02 08:19:28 +0200

DragonflyZK gravatar image

Just re-installed Ubuntu 20.04 with LO 6.4.7.2 and LO Base. Base will now not open the Report Builder or any existing reports. New simple database also will not open report builder. Java Ubuntu 11.0.11 installed and enabled. I have also tried Oracle 1.8.0_291 with no success.

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by PKG
close date 2021-05-04 11:35:49.583147

Comments

Hello,

Have been using LO since 4.x series. While I have used Oracle JRE & JDK and currently OpenJDK, I don't remember seeing Java Ubuntu.

Also tend to use LO versions obtained from TDF (The Document Foundation). Have experienced some strange situations with distro versions. Where is your LO version from? Have you tried resetting the user profile? Has Report Builder worked in the past and if so what is now different aside from the re-install?

Ratslinger gravatar imageRatslinger ( 2021-05-02 21:56:03 +0200 )edit

LO was installed with Ubuntu - part of the normal install. I've done it several times with no problems, including on this same computer and the Report builder worked at that time. But I had to re-install after a stupid mistake on my part blew away Ubuntu. The only difference was that I had previously upgraded Ubuntu 18.04 to 20.04. This time I did a clean install of 20.04 LTS. The LO version that comes with Ubuntu does not include LO Base, so I installed that from the Ubuntu Software repository after LO had been installed. As far as I can tell, there is no difference between this install and the previous one except for the upgrade path. However, having reinstalled Ubuntu & LO, I restored my files from backup, and maybe that had transferred the problem to the new setup. As for resetting the user profile ...(plus)

DragonflyZK gravatar imageDragonflyZK ( 2021-05-03 06:06:05 +0200 )edit

OK. Checked the user profile using instructions from the wiki document foundation. Safe mode made no difference - problem persists, so this indicates that there's nothing wrong with the User Profile. I'm using LO 6.4.7.2, but latest version is V7.1.2. However, I don't know how to force an upgrade short of deleting all the components and installing the new version. Or can I just install over the top of the existing version?

DragonflyZK gravatar imageDragonflyZK ( 2021-05-03 06:28:40 +0200 )edit

@DragonflyZK,

You do not want to install over another. To remove the distro version, go into the Ubuntu "Software Boutique" and delete (remove) from there. You can, as recommended, add a newer version (Fresh or Still) and get updates automatically. See this post -> Libre PPA.

The Fresh version is the latest and the Still version is more stable. Your choice.

Ratslinger gravatar imageRatslinger ( 2021-05-03 15:55:15 +0200 )edit

Thank you, Ratslinger. The problem is solved. Installation of Ubuntu 20.04LTS only installed Writer, Calc, Impress and Draw, but not the Libre Office application, it seems. In looking to delete the applications I saw that LibreOffice was not installed. Installed it, and all is well. Not only do I have Version 7.1.2.2, Report Builder now opens, as do my existing reports. Thanks for the help!

DragonflyZK gravatar imageDragonflyZK ( 2021-05-04 10:11:58 +0200 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2021-05-04 10:12:57 +0200

DragonflyZK gravatar image

The problem is solved. Installation of Ubuntu 20.04LTS only installed Writer, Calc, Impress and Draw, but not the Libre Office application, it seems. In looking to delete the applications I saw that LibreOffice was not installed. Installed it, and all is well. Not only do I have LO Version 7.1.2.2, Report Builder now opens, as do my existing reports.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2021-05-02 08:19:28 +0200

Seen: 22 times

Last updated: May 04